> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit a set of documents to an index pipeline



## OpenAPI

````yaml /api-reference/4.2/service-index-pipelines.json post /index-pipelines/{id}/collections/{collection}/indexMultiple
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-pipelines
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-pipelines
paths:
  /index-pipelines/{id}/collections/{collection}/indexMultiple:
    post:
      tags:
        - 4.2 Index Pipelines API
      summary: Submit a set of documents to an index pipeline
      operationId: indexMultiple
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: collection
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/IndexPipelineInputDoc'
      responses:
        '200':
          description: successful operation
          content:
            application/json; qs=1.0:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IndexPipelineStatResponse'
components:
  schemas:
    IndexPipelineInputDoc:
      type: object
      properties:
        rawDocId:
          type: string
          readOnly: true
        doc:
          $ref: '#/components/schemas/PipelineDocument'
        docID:
          type: string
          readOnly: true
    IndexPipelineStatResponse:
      type: object
      properties:
        docs:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PipelineDocument'
        stats:
          type: object
          readOnly: true
          additionalProperties:
            type: object
    PipelineDocument:
      type: object
      properties:
        id:
          type: string
        fields:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PipelineField'
        metadata:
          type: object
          additionalProperties:
            type: string
        commands:
          type: array
          items:
            $ref: '#/components/schemas/Command'
        hints:
          type: object
          additionalProperties:
            type: array
            uniqueItems: true
            items:
              type: string
    PipelineField:
      type: object
      properties:
        name:
          type: string
        value:
          type: object
        metadata:
          type: object
          additionalProperties:
            type: string
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
    Command:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        params:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    Annotation:
      type: object
      properties:
        type:
          type: string
        start:
          type: integer
          format: int64
        end:
          type: integer
          format: int64
        features:
          type: object
          readOnly: true
          additionalProperties:
            type: string
        label:
          type: string
          readOnly: true
        featureCount:
          type: integer
          format: int32

````